Name: libmnote
Summary: EXIF MakerNote tag library
Version: 0.5.6
Release: 1
Source: http://prdownloads.sourceforge.net/libexif/%{name}-%{version}.tar.gz
Url: http://sourceforge.net/projects/libexif/
Group: System Environment/Libraries
Copyright: LGPL
# replaced Packager: header, as most people making packages will be somebody
# else. original spec file author is Mark Pulford <mark@kyne.com.au>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

%description
libmnote is a library for parsing, editing, and saving EXIF MakerNote
data. It is intended to replace lots of redundant implementations in
command-line utilities and programs with GUIs.

%package devel
Summary: The files needed for libmnote application development
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libmnote-devel package contains the libraries and include files
that you can use to develop libmnote applications.

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/libmnote.so.*
%{_libdir}/libmnote.la
%{_libdir}/libmnote.a
%{_datadir}/locale/*/LC_MESSAGES/*mo

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libmnote.pc
%{_includedir}/libmnote/*.h
%{_libdir}/libmnote.so
