/* mnote-canon-note.h
 *
 * Copyright  2002 Lutz Mller <lutz@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details. 
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MNOTE_CANON_CONTENT_H__
#define __MNOTE_CANON_CONTENT_H__

#include <libmnote/mnote-data.h>

typedef struct _MNoteCanonData MNoteCanonData;

#include <libmnote/canon/mnote-canon-entry.h>

struct _MNoteCanonData {
	MNoteData parent;

	MNoteCanonEntry **entries;
	unsigned int count;
};

MNoteData *mnote_canon_data_new (void);

#endif /* __MNOTE_CANON_CONTENT_H__ */
